#
# Conditional build:
%bcond_without	doc	# Sphinx documentation
%bcond_without	tests	# unit tests

Summary:	Tools for using a Web Server Gateway Interface stack
Summary(pl.UTF-8):	Narzędzia do używania stosu Web Server Gateway Interface
Name:		python-Paste
# keep 2.x / < 3.7 here for python2 support
Version:	2.0.3
Release:	10
Group:		Libraries/Python
License:	MIT
#Source0Download: https://pypi.org/simple/paste/
Source0:	https://files.pythonhosted.org/packages/source/P/Paste/Paste-%{version}.tar.gz
# Source0-md5:	1231e14eae62fa7ed76e9130b04bc61e
Patch0:		%{name}-py3.7.patch
URL:		https://pypi.org/project/Paste/
BuildRequires:	python-devel >= 1:2.6
BuildRequires:	python-setuptools >= 0.6-0.a9.1
%if %{with tests}
BuildRequires:	python-nose >= 0.11
BuildRequires:	python-six >= 1.13.0
%endif
%if %{with doc}
BuildRequires:	sphinx-pdg-2
%endif
BuildRequires:	rpm-pythonprov
BuildRequires:	rpmbuild(macros) >= 1.714
Requires:	python-modules >= 1:2.6
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Paste provides several pieces of "middleware" (or filters) that can be
nested to build web applications. Each piece of middleware uses the
WSGI (PEP 333) interface, and should be compatible with other
middleware based on those interfaces.

%description -l pl.UTF-8
Pakiet Paste dostarcza kilka części warstwy pośredniej (lub filtrów),
które można osadzać w celu zbudowania aplikacji WWW. Każda część
warstwy pośredniej używa interfejsu WSGI (PEP 333) i powinna być
kompatybilna z inną warstwą pośrednią opartą na tych interfejsach.

%package -n python3-Paste
Summary:	Tools for using a Web Server Gateway Interface stack
Summary(pl.UTF-8):	Narzędzia do używania stosu Web Server Gateway Interface
Group:		Libraries/Python
Requires:	python3-modules >= 1:3.4

%description -n python3-Paste
Paste provides several pieces of "middleware" (or filters) that can be
nested to build web applications. Each piece of middleware uses the
WSGI (PEP 333) interface, and should be compatible with other
middleware based on those interfaces.

%description -n python3-Paste -l pl.UTF-8
Pakiet Paste dostarcza kilka części warstwy pośredniej (lub filtrów),
które można osadzać w celu zbudowania aplikacji WWW. Każda część
warstwy pośredniej używa interfejsu WSGI (PEP 333) i powinna być
kompatybilna z inną warstwą pośrednią opartą na tych interfejsach.

%package apidocs
Summary:	API documentation for Python Paste module
Summary(pl.UTF-8):	Dokumentacja API modułu Pythona Paste
Group:		Documentation

%description apidocs
API documentation for Python Paste module.

%description apidocs -l pl.UTF-8
Dokumentacja API modułu Pythona Paste.

%prep
%setup -q -n Paste-%{version}
%patch -P 0 -p1

# junk in archive
%{__rm} paste/*.py.orig paste/util/*.py.orig
# online test + requires outdated pythonpaste.org website content
%{__rm} tests/test_proxy.py

%build
%py_build %{?with_tests:test}

%if %{with doc}
sphinx-build-2 -b html docs docs/_build/html
%endif

%install
rm -rf $RPM_BUILD_ROOT

%py_install

%py_postclean

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README.rst docs/{license,news}.txt
# paste is also top dir for other python-Paste* packages
%dir %{py_sitescriptdir}/paste
%{py_sitescriptdir}/paste/auth
%{py_sitescriptdir}/paste/cowbell
%{py_sitescriptdir}/paste/debug
%{py_sitescriptdir}/paste/evalexception
%{py_sitescriptdir}/paste/exceptions
%{py_sitescriptdir}/paste/util
%{py_sitescriptdir}/paste/*.py[co]
%{py_sitescriptdir}/Paste-%{version}-py*.egg-info
%{py_sitescriptdir}/Paste-%{version}-py*-nspkg.pth

%if %{with doc}
%files apidocs
%defattr(644,root,root,755)
%doc docs/_build/html/{_static,community,download,include,modules,*.html,*.js}
%endif
%changelog
* Sat May 03 2025 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/python-Paste.git;a=log;h=master

* Sat May 03 2025 Arkadiusz Miśkiewicz <arekm@maven.pl> 3cc0b09
- Rel 10; drop python3 (python3-Paste.spec for that)

* Tue Mar 11 2025 Jan Rękorajski <baggins@pld-linux.org> ed8a7cf
- doc/test rebuild for python 3.13

* Mon Mar 10 2025 Jan Rękorajski <baggins@pld-linux.org> 8348a8d
- python 3.13 rebuild

* Sun Mar 09 2025 Jan Rękorajski <baggins@pld-linux.org> c7b6c42
- use patch -P

* Sun Oct 29 2023 Jakub Bogusz <qboosh@pld-linux.org> 82d085f
- adjusted comment (3.6.1 seems to still support python 2.7; despite classifiers it's still in tox matrix)

* Sat Oct 28 2023 Jakub Bogusz <qboosh@pld-linux.org> 0850d58
- added more python3 fixes (how was it built from python3.10?); requires six 1.13 for six.moves.collections_abc
- use python2 based Sphinx here (python3 module will be built from python3-Paste.spec in the future)
- release 7

* Wed Mar 30 2022 Jan Rękorajski <baggins@pld-linux.org> fa15ae2
- rebuild with tests and docs

* Sat Mar 26 2022 Jan Rękorajski <baggins@pld-linux.org> 88e4426
- rebuild with python 3.10

* Fri Mar 25 2022 Jan Rękorajski <baggins@pld-linux.org> e767aea
- rebuild with python 3.10

* Sat Feb 27 2021 Jan Rękorajski <baggins@pld-linux.org> 47025e7
- release 3 (by relup.sh)

* Mon Oct 28 2019 Jan Rękorajski <baggins@pld-linux.org> a51fce2
- rebuild with python 3.8
- release 2 (by relup.sh)

* Sat Jul 21 2018 Jakub Bogusz <qboosh@pld-linux.org> e091c80
- updated to 2.0.3 (python 3 support)
- added py3.7 patch (fix StopIteration issue detected by tests)
- added python3- and -apidocs packages

* Sun Nov 29 2015 Jacek Konieczny <jajcus@jajcus.net> a7ed80f
- BR: rpmbuild(macros) >= 1.710

* Sat Nov 28 2015 Jacek Konieczny <jajcus@jajcus.net> 834f6b1
- release 3 (by relup.sh)

* Sat Nov 28 2015 Jacek Konieczny <jajcus@jajcus.net> 5cb1473
- automatic change: use py_build/py_install macros

* Tue Jul 23 2013 Jan Rękorajski <baggins@pld-linux.org> 49d54a1
- release 2 (by relup.sh)

* Sun Jan 22 2012 zbyniu <zbyniu@pld-linux.org> cfd2d4d
- up to 1.7.5.1

* Sun Jan 23 2011 sparky <sparky@pld-linux.org> 21ecfd7
- added BR: python-modules, rpm-pythonprov

* Sat Nov 13 2010 pawelz <pawelz@pld-linux.org> aa45982
- release 3

* Thu Jul 08 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> 60d708a
- release 2

